// file: plist_num_0.cc
//

// isip include files
//
#include "path_list.h"
#include "path_list_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Path_list::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(int_4);                         // frame_index_d
  size += sizeof(int_4);                         // num_paths_d
  size += sizeof(float_8);                       // max_score_d
  size += sizeof(Link_list*);                    // paths_d

  // exit gracefully
  //
  return size;
}
